com.r3corda.contracts.asset / Obligation / Commands / Issue

# Issue

`data class Issue<P> : Commands, IssuanceCommands<P>`

Allows new obligation states to be issued into existence: the nonce ("number used once") ensures the transaction has a unique ID even when there are no inputs.

### Constructors

<init> | `Issue(aggregateState: IssuanceDefinition<P>, nonce: Long = random63BitValue())` Allows new obligation states to be issued into existence: the nonce ("number used once") ensures the transaction has a unique ID even when there are no inputs.

### Properties

aggregateState | `val aggregateState: IssuanceDefinition<P>`
nonce | `val nonce: Long`